Get a completed Databricks Metric View preview result
curl --request GET \
--url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/databricks-metric-view-previews/{previewId}/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/databricks-metric-view-previews/{previewId}/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/databricks-metric-view-previews/{previewId}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"buildJobId": 123,
"completedAt": "<string>",
"dataSourceName": "<string>",
"deploymentId": 123,
"durationMs": 123,
"outcome": "success",
"previewId": "<string>",
"runtime": {
"bridgeCommit": "<string>",
"bridgeVersion": "<string>",
"cubeConverterVersion": "<string>",
"databricksConverterVersion": "<string>",
"ossieCommit": "<string>",
"ossieCoreVersion": "<string>",
"policyVersion": 123,
"runnerVersion": "<string>",
"templateName": "<string>"
},
"sourceSha256": "<string>",
"version": 2,
"views": [
{
"counts": {
"dimensions": 123,
"errors": 123,
"joins": 123,
"measures": 123,
"warnings": 123
},
"cubeViewName": "<string>",
"datasetSources": [
{
"dataSource": "<string>",
"dataset": "<string>",
"originalSource": "<string>",
"resolvedSource": "<string>"
}
],
"eligibleForPublication": true,
"issues": [
{
"code": "<string>",
"message": "<string>",
"severity": "ERROR",
"stage": "INPUT",
"element": "<string>"
}
],
"metricViewName": "<string>",
"outcome": "success",
"metricViewSha256": "<string>",
"metricViewYaml": "<string>",
"source": "<string>"
}
],
"commit": "<string>"
}Databricks Metric View Publication
Get a completed Databricks Metric View preview result
GET
/
api
/
v1
/
deployments
/
{deploymentId}
/
databricks-metric-view-previews
/
{previewId}
/
result
Get a completed Databricks Metric View preview result
Returns 409 while the preview is still running or if it ended without a conversion result.
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Response
200 - application/json
Pattern:
\d{4}-[01]\d-[0-3]\dT[0-2]\d:[0-5]\d:[0-5]\d.\d+Z?Available options:
success, partial, failed Show child attributes
Show child attributes
Available options:
2 Show child attributes
Show child attributes